# economy_base.h File Reference

Base classes related to the economy. More...

`#include "cargopacket.h"`
`#include "company_type.h"`

Go to the source code of this file.

## Data Structures
struct | CargoPayment
| Helper class to perform the cargo payment. More...
## Defines
#define | FOR_ALL_CARGO_PAYMENTS_FROM(var, start) FOR_ALL_ITEMS_FROM(CargoPayment, cargo_payment_index, var, start)
#define | FOR_ALL_CARGO_PAYMENTS(var) FOR_ALL_CARGO_PAYMENTS_FROM(var, 0)
## Typedefs
typedef Pool< CargoPayment, CargoPaymentID, 512, 64000 > | CargoPaymentPool
| Type of pool to store cargo payments in.
## Variables
CargoPaymentPool | _cargo_payment_pool
| The actual pool to store cargo payments in.

## Detailed Description

Base classes related to the economy.

Definition in file economy_base.h.

## Typedef Documentation

typedef Pool<CargoPayment, CargoPaymentID, 512, 64000> CargoPaymentPool

Type of pool to store cargo payments in.

Definition at line 19 of file economy_base.h.

## Variable Documentation

CargoPaymentPool _cargo_payment_pool

The actual pool to store cargo payments in.